Bug 493730 - xorg repeatedly freezes for upto 2 seconds
xorg repeatedly freezes for upto 2 seconds
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-02 16:54 EDT by Hans de Goede
Modified: 2018-04-11 07:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-14 07:42:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sysprof save of slowness (68.42 KB, text/plain)
2009-04-02 16:54 EDT, Hans de Goede
no flags Details
xorg.log (79.58 KB, text/plain)
2009-04-08 04:17 EDT, Hans de Goede
no flags Details

  None (edit)
Description Hans de Goede 2009-04-02 16:54:22 EDT
Created attachment 337920 [details]
sysprof save of slowness

Description of problem:
I've been testing the latest rawhide on my x1950pro with kms + composting the last few days. Using a standard gnome desktops with 3d effects enabled.

And I've noticed that sometimes X freezes for upto 2 seconds, the mouse pointer still moves, but doesn't change when it should, clicking on / in non of the windows works, clicks do get registered when it unfreezes.

The easiest way to reproduce is to open 2 (or more tabs) in firefox and
switch between them, for example these 2 work for me to reproduce:
http://koji.fedoraproject.org/koji/buildinfo?buildID=93907
http://koji.fedoraproject.org/koji/buildinfo?buildID=95894

Open these 2 and then switching between the 2 tabs, (or away / from firefox),
causes the freezes. Note that the freeze does not always happen, but only sometimes (circa 50% of the time).

This is similar in many ways to bug 469378, yet very different, as it does not always happen (where as 469378 did have 100% reproducability).

Also interesting is that when switching tabs, the webpage gets successfully
rendered, and one can even enter for example 1 or 2 chars in a textinput field,
and then X freezes.

I've done some sysprof-ing of the stalls and this clearly points to a software
fall back happening. But why only sometimes? I guess that some special memory
allocation operation (GEM / TTM memory) fails and then a software fallback is used to work around this.

I can compile the driver with software fallback debugging turned on and get an Xorg.log with that in if you want (what was the define again and in which file does it live?).
Comment 1 Matěj Cepl 2009-04-06 11:48:45 EDT
Could we get /var/log/Xorg.0.log at least from the current configuration, please?
Comment 2 Hans de Goede 2009-04-08 04:17:56 EDT
Created attachment 338665 [details]
xorg.log
Comment 3 Hans de Goede 2009-04-08 05:29:58 EDT
Note this happens without compositing too.
Comment 4 Bug Zapper 2009-06-09 09:08:46 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Jérôme Glisse 2009-10-14 07:29:12 EDT
Can you test with fedora 12 livecd and report if it works with it. Here with my x1950 it does.
Comment 6 Hans de Goede 2009-10-14 07:42:13 EDT
No need for the livecd, I've been running F-12 (rawhide) for a couple of months already, and have not seen this for a while.

I just tried my own reproducer, and indeed it seems fixed.

Closing this.

If you're looking for radeon bugs to work on though, this one is easy
to reproduce and quite nasty (X crashes): bug 526692

Note You need to log in before you can comment on or make changes to this bug.